%define upstream_name    API-Google
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Perl module for easy access to Google services via their API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PA/PAVELSR/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    11.patch

%{?perl_default_filter}
BuildRequires: perl-devel
BuildRequires: perl(Mojolicious::Commands)
BuildRequires: perl(Mojolicious::Plugin::OAuth2)
BuildRequires: perl(Mojolicious::Lite)
BuildRequires: perl(Mojo::Util)
BuildRequires: perl(Mojo::UserAgent)
BuildRequires: perl(Config::JSON)
BuildRequires: perl(Crypt::JWT)
BuildRequires: perl(Net::EmptyPort)
BuildRequires: perl(Tie::File)
BuildArch: noarch
%description
A Perl module for easy access to Google services via their API 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1
grep -r '#!perl' . | cut -d: -f1 | xargs perl -pi -e 's|^#!perl|#!/usr/bin/perl|'

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc *META* README.md CHANGES
%{_bindir}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
%perl_vendorlib/*


%changelog
* Fri Jul 29 2022 bcornec <bcornec> 0.120.0-2.mga9
+ Revision: 1872935
- Apply a patch to add 2 new useful methods from https://patch-diff.githubusercontent.com/raw/pavelsr/API-Google/pull/11.patch
- Apply a patch to add 2 new useful methods from https://patch-diff.githubusercontent.com/raw/pavelsr/API-Google/pull/11.patch

* Fri Jul 29 2022 bcornec <bcornec> 0.120.0-1.mga9
+ Revision: 1872780
- Import API::Google
- Created package structure for perl-API-Google.

